Package: org.codehaus.groovy.ast.expr

## [Java] Class AttributeExpression

- org.codehaus.groovy.ast.expr.AttributeExpression

- Represents an attribute access (accessing the field of a class) such as the expression "foo.@bar".

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AttributeExpression (Expression objectExpression, Expression property)`
    `AttributeExpression (Expression objectExpression, Expression property, boolean safe)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class PropertyExpression` | `getObjectExpression, getProperty, getPropertyAsString, getText, isDynamic, isImplicitThis, isSafe, isSpreadSafe, isStatic, setImplicitThis, setObjectExpression, setSpreadSafe, setStatic, toString, transformExpression, visit`
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public AttributeExpression(Expression objectExpression, Expression property)

    - #### public AttributeExpression(Expression objectExpression, Expression property, boolean safe)

  - ### Method Detail

    - #### public Expression transformExpression(ExpressionTransformer transformer)

    - #### public void visit(GroovyCodeVisitor visitor)